Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.deploy
Class DeployerRuntime

    java.lang.Object
      weblogic.management.deploy.DeployerRuntime

Deprecated. since WLS 9.0 . Use `WebLogicDeploymentManager`

    public final class DeployerRuntime

extends Object

This class is the singleton deployer that exists on Admin Servers. It is the primary interface to all application deployment related operations.

Constructor Summary
`DeployerRuntime()` Deprecated.

Method Summary
`static weblogic.management.runtime.DeployerRuntimeMBean` | `getDeployerRuntime()` Deprecated. Provides server side access to the DeployerRuntime singleton
`static weblogic.management.runtime.DeployerRuntimeMBean` | `getDeployerRuntime(MBeanHome home)` Deprecated. Provides credentialed client access to the DeployerRuntime singleton.
`static weblogic.management.runtime.DeployerRuntimeMBean` | `getDeployerRuntime(String user, String pword, String adminURL)` Deprecated. Provides client access to the DeployerRuntime singleton.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployerRuntime

    public DeployerRuntime()

  Deprecated.

Method Detail

### getDeployerRuntime

    public static weblogic.management.runtime.DeployerRuntimeMBean getDeployerRuntime(String user,
                                                                                      String pword,
                                                                                      String adminURL)
                                                                               throws IllegalArgumentException,
                                                                                      InstanceNotFoundException

  Deprecated.
  Provides client access to the DeployerRuntime singleton.

  Parameters:
    `user` - is the userid to use for authentication
    `pword` - is the password to use for authentication
    `adminURL` - is the URL of the Admin Server
  Returns:
    the DeployerRuntime singleton
  Throws:
    `InstanceNotFoundException`
    `IllegalArgumentException` - if unable to obtain context or contact the Admin Server
  See Also:
    `DeployerRuntime.getDeployerRuntime()`

### getDeployerRuntime

    public static weblogic.management.runtime.DeployerRuntimeMBean getDeployerRuntime(MBeanHome home)
                                                                               throws IllegalArgumentException,
                                                                                      InstanceNotFoundException

  Deprecated.
  Provides credentialed client access to the DeployerRuntime singleton.

  Parameters:
    `home` - is the MBean home proxy from the admin server
  Returns:
    the DeployerRuntime singleton
  Throws:
    `InstanceNotFoundException`
    `IllegalArgumentException` - if unable to obtain context or contact the Admin Server
  See Also:
    `DeployerRuntime.getDeployerRuntime()`

### getDeployerRuntime

    public static weblogic.management.runtime.DeployerRuntimeMBean getDeployerRuntime()

  Deprecated.
  Provides server side access to the DeployerRuntime singleton

  Returns:
    the DeployerRuntime singleton.
  See Also:
    `DeployerRuntime.getDeployerRuntime(String, String, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD